Update Custom card
curl --request PUT \
--url https://api.birdeye.com/resources/v1/business/public/card/{cardId} \
--header 'Content-Type: application/json' \
--data '
{
"cardId": 14744,
"title": "title",
"description": "desc",
"imageURL": "https://d1py4eyp5hehj0.cloudfront.net/upload/1475208/1737886366109/Screenshot20250109040058.png",
"imagePosition": "1",
"isVisible": 1,
"isPinOnTop": 1,
"clickURL": "https://www.google.com/",
"linkText": "",
"type": "Link type"
}
'import requests
url = "https://api.birdeye.com/resources/v1/business/public/card/{cardId}"
payload = {
"cardId": 14744,
"title": "title",
"description": "desc",
"imageURL": "https://d1py4eyp5hehj0.cloudfront.net/upload/1475208/1737886366109/Screenshot20250109040058.png",
"imagePosition": "1",
"isVisible": 1,
"isPinOnTop": 1,
"clickURL": "https://www.google.com/",
"linkText": "",
"type": "Link type"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
cardId: 14744,
title: 'title',
description: 'desc',
imageURL: 'https://d1py4eyp5hehj0.cloudfront.net/upload/1475208/1737886366109/Screenshot20250109040058.png',
imagePosition: '1',
isVisible: 1,
isPinOnTop: 1,
clickURL: 'https://www.google.com/',
linkText: '',
type: 'Link type'
})
};
fetch('https://api.birdeye.com/resources/v1/business/public/card/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 1161,
"message": "Invalid API key"
}{
"code": 89,
"message": "Rate limit exceeded"
}Business
Manage Custom card
Manage Custom card API supports updating and deleting a custom card for a business profile.
PUT
/
v1
/
business
/
public
/
card
/
{cardId}
Update Custom card
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
e.g. [Required] Long Business Number.
Media type of the JSON request body.
Path Parameters
Id of the custom card to update.
Body
application/json
Id of the custom card to update.
Title shown on the custom card.
Description/content shown on the custom card.
Public image URL displayed on the card.
Image position value. Possible values are:
Visibility status of card on the microsite. Possible values are:
Pin status of card on the microsite.
Redirect URL for card click action.
Text displayed for the link.
Type/category of the custom card.
Response
OK
⌘I